Skip to main content
GET
Get document by ID

Authorizations

x-API-Key
string
header
required

Path Parameters

id
string<objectid>
required

Document ID

Response

Document retrieved successfully

A document represents a file or attachment stored in the system, with metadata and references to related entities.

fileName
string
required

Original file name

accessGroup
string
required

Access group for the document (e.g. service, objectmanager)

_id
string<objectid>

Unique identifier of the entity

number
integer

Unique number of the entity, used for identification

companyId
string<objectid>

The ID of the company this entity belongs to

status
object

Entity Status information

url
string

URL to access the document file

name
string

Display name of the document

objectId
string<objectid>

Related object ID

userId
string<objectid>

Related user ID

jobId
string<objectid>

Related job ID

customerId
string<objectid>

Related customer ID

absenceId
string<objectid>

Related absence ID

equipmentId
string<objectid>

Related equipment ID

taskId
string<objectid>

Related task ID

taskTemplateId
string<objectid>

Related task template ID

formId
string<objectid> | null

Form id this PDF was generated from (server-controlled)

uploadId
string<objectid>

Upload process ID

aiAnalysis
AI Analysis · object | null

AI-generated structured document analysis from Gemini vision extraction

emailMessageId
string<objectid> | null

EmailMessage id this document was linked from (server-controlled)

emailAttachmentId
string | null

Nylas attachment id this document was linked from (server-controlled)

tags
string[] | null

Free-form tags of the document

expiresAt
string<date-time> | null

Date the document expires. Not set means the document never expires